Package ru.bitel.bgbilling.common.bean

# Class Request

java.lang.Object
ru.bitel.bgbilling.common.bean.Request

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class Request
    extends java.lang.Object
    implements java.lang.Cloneable

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `` | `Request()` |
  `protected` | `Request​(java.util.Map<java.lang.String,​java.lang.Object> data)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addAll​(java.util.Map<java.lang.String,​java.lang.Object> params)` |
  `void` | `addDirectory​(java.lang.String key)` |
  `void` | `addModel​(bitel.billing.common.ModelItem item)` |
  `void` | `clear()` |
  `java.lang.Object` | `clone()` |
  `java.lang.Object` | `getValue​(java.lang.String key)` |
  `boolean` | `isSendServerURL()` |
  `java.util.Set<java.lang.String>` | `keys()` |
  `void` | `setAction​(java.lang.String value)` |
  `void` | `setAttribute​(java.lang.String name, boolean value)` |
  `void` | `setAttribute​(java.lang.String name, int value)` |
  `void` | `setAttribute​(java.lang.String name, long value)` |
  `void` | `setAttribute​(java.lang.String name, java.lang.Object value)` |
  `void` | `setAttribute​(java.lang.String name, java.lang.String value)` |
  `void` | `setContractId​(int value)` |
  `void` | `setContractId​(java.lang.String value)` |
  `void` | `setModule​(java.lang.String value)` |
  `void` | `setModuleId​(int value)` |
  `void` | `setModuleId​(java.lang.String value)` |
  `void` | `setPage​(ru.bitel.bgbilling.client.common.BGControlPanelPages panelPages)` | Естанавливает номер страницы и её размер в реквест, вынесено из обратной функции - "заполнение реквеста в панели страниц", ибо ей тут правильнее находиться.
  `void` | `setPageIndex​(int pageIndex)` |
  `void` | `setPageSize​(int pageSize)` |
  `void` | `setPeriod​(java.lang.String date1, java.lang.String date2)` | Deprecated.
  `void` | `setPeriod​(Period period)` |
  `void` | `setSendServerURL​(boolean value)` |

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Request

    public Request()

  - ### Request

    protected Request​(java.util.Map<java.lang.String,​java.lang.Object> data)

- ## Method Details

  - ### setSendServerURL

    public void setSendServerURL​(boolean value)

  - ### isSendServerURL

    public boolean isSendServerURL()

  - ### setModule

    public void setModule​(java.lang.String value)

  - ### setAction

    public void setAction​(java.lang.String value)

  - ### setModuleId

    public void setModuleId​(java.lang.String value)

  - ### setModuleId

    public void setModuleId​(int value)

  - ### setContractId

    public void setContractId​(java.lang.String value)

  - ### setContractId

    public void setContractId​(int value)

  - ### setPageIndex

    public void setPageIndex​(int pageIndex)

  - ### setPageSize

    public void setPageSize​(int pageSize)

  - ### setPage

    public void setPage​(ru.bitel.bgbilling.client.common.BGControlPanelPages panelPages)
    Естанавливает номер страницы и её размер в реквест, вынесено из обратной функции - "заполнение реквеста в панели страниц", ибо ей тут правильнее находиться. Заодно решены несколько других мелких полезностей. Можно, конечно, передавать сюда Page, которую получить из панели, для строгости ООП.
    Parameters:
      `panelPages` - панель.

  - ### setPeriod

    public void setPeriod​(Period period)

  - ### setPeriod

    @Deprecated public void setPeriod​(java.lang.String date1, java.lang.String date2)
    Deprecated.

  - ### setAttribute

    public void setAttribute​(java.lang.String name, java.lang.Object value)

  - ### setAttribute

    public void setAttribute​(java.lang.String name, java.lang.String value)

  - ### setAttribute

    public void setAttribute​(java.lang.String name, long value)

  - ### setAttribute

    public void setAttribute​(java.lang.String name, int value)

  - ### setAttribute

    public void setAttribute​(java.lang.String name, boolean value)

  - ### clear

    public void clear()

  - ### getValue

    public java.lang.Object getValue​(java.lang.String key)

  - ### keys

    public java.util.Set<java.lang.String> keys()

  - ### clone

    public java.lang.Object clone()
    Overrides:
      `clone` in class `java.lang.Object`

  - ### addAll

    public void addAll​(java.util.Map<java.lang.String,​java.lang.Object> params)

  - ### addDirectory

    public void addDirectory​(java.lang.String key)

  - ### addModel

    public void addModel​(bitel.billing.common.ModelItem item)